Skip to main content

createPentestRetest

Trigger an in-place retest of a finished AI Pentest project

createPentestRetest(
input: CreatePentestRetestInput!
): CreatePentestRetestPayload

Arguments

createPentestRetest.input ● CreatePentestRetestInput! non-null input

Parameters for CreatePentestRetest

Type

CreatePentestRetestPayload object

Autogenerated return type of CreatePentestRetest.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the projects query first and use data.projects.collection[].id as projectId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreatePentestRetest($input: CreatePentestRetestInput!) {\n createPentestRetest(input: $input) { clientMutationId pentestExecution { id status createdAt } }\n}","variables":{"input":{"projectId":"<project_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.